Apache log4cxx Version 0.10.0

- Main Page
- Modules
- Namespaces
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

Classes | Public Member Functions | Static Public Member Functions | List of all members
Object Class Referenceabstract

base class for java-like objects. More...

Inherited by ObjectImpl`[virtual]`, XMLDOMNode`[virtual]`, XMLDOMNodeList`[virtual]`, AppenderAttachable`[virtual]`, Configurator`[virtual]`, HierarchyEventListener`[virtual]`, LoggerFactory`[virtual]`, LoggerRepository`[virtual]`, OptionHandler`[virtual]`, RepositorySelector`[virtual]`, and TriggeringEventEvaluator`[virtual]`.

## Classes
class | ClazzObject

## Public Member Functions
virtual const helpers::Class & | getClass () const
virtual | ~Object ()
virtual void | addRef () const =0
virtual void | releaseRef () const =0
virtual bool | instanceof (const Class &clazz) const =0
virtual const void * | cast (const Class &clazz) const =0

## Static Public Member Functions
static const helpers::Class & | getStaticClass ()
static const log4cxx::helpers::ClassRegistration & | registerClass ()

## Detailed Description

base class for java-like objects.

## Constructor & Destructor Documentation

virtual ~Object | ( |  | ) |
| inline virtual

## Member Function Documentation

virtual void addRef | ( |  | ) | const
| pure virtual

Implemented in DOMConfigurator, TimeBasedRollingPolicy, Logger, PropertyConfigurator, Hierarchy, AppenderSkeleton, Filter, RollingPolicyBase, AsyncAppender, AppenderAttachableImpl, FallbackErrorHandler, OnlyOnceErrorHandler, TriggeringPolicy, Layout, DefaultRepositorySelector, and ObjectImpl.

virtual const void* cast | ( | const Class & | clazz | ) | const
| pure virtual

virtual const helpers::Class& getClass | ( |  | ) | const
| virtual

static const helpers::Class& getStaticClass | ( |  | ) |
| static

virtual bool instanceof | ( | const Class & | clazz | ) | const
| pure virtual

static const log4cxx::helpers::ClassRegistration& registerClass | ( |  | ) |
| static

virtual void releaseRef | ( |  | ) | const
| pure virtual

Implemented in DOMConfigurator, TimeBasedRollingPolicy, Logger, PropertyConfigurator, Hierarchy, AppenderSkeleton, Filter, RollingPolicyBase, AsyncAppender, AppenderAttachableImpl, FallbackErrorHandler, OnlyOnceErrorHandler, TriggeringPolicy, Layout, DefaultRepositorySelector, and ObjectImpl.

The documentation for this class was generated from the following file:

- object.h